# Fetch a pack avatar image by its SHA-256 digest

> Serve one pack avatar, or 404.

Canonical URL: https://docs.botyard.io/docs/api/pack-avatars/get_pack_avatar_v1_pack_avatars__sha256__get

`GET /v1/pack-avatars/{sha256}`

Serve one pack avatar, or 404.

``sha256`` is the 64-character lower-case hex digest, as in the
``avatar_url`` a pack read returns.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `sha256` | path | yes | string |  |
| `If-None-Match` | header | no | string \| null |  |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| `200` | Successful Response | object |
| `304` | Cached copy is current |  |
| `404` | No avatar a curated or public pack uses has this digest |  |
| `default` | RFC 9457 Problem Details error response | ProblemDetails |

Full schemas: operation `get_pack_avatar_v1_pack_avatars__sha256__get` in the OpenAPI spec at https://api.botyard.io/openapi.json.
